﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace BibRo.Data.Migrations
{
    public partial class Init1 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "Locatii",
                columns: table => new
                {
                    LocatieId = table.Column<Guid>(nullable: false),
                    Localitate = table.Column<string>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Locatii", x => x.LocatieId);
                });

            migrationBuilder.CreateTable(
                name: "Biblioteci",
                columns: table => new
                {
                    BibliotecaId = table.Column<Guid>(nullable: false),
                    Title = table.Column<string>(nullable: true),
                    CodBiblioteca = table.Column<string>(nullable: true),
                    LocatieId = table.Column<Guid>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Biblioteci", x => x.BibliotecaId);
                    table.ForeignKey(
                        name: "FK_Biblioteci_Locatii_LocatieId",
                        column: x => x.LocatieId,
                        principalTable: "Locatii",
                        principalColumn: "LocatieId",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "Sectii",
                columns: table => new
                {
                    SectiiId = table.Column<Guid>(nullable: false),
                    Sectia = table.Column<string>(nullable: true),
                    CodSectia = table.Column<string>(nullable: true),
                    LocatieId = table.Column<Guid>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Sectii", x => x.SectiiId);
                    table.ForeignKey(
                        name: "FK_Sectii_Locatii_LocatieId",
                        column: x => x.LocatieId,
                        principalTable: "Locatii",
                        principalColumn: "LocatieId",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateIndex(
                name: "IX_Biblioteci_LocatieId",
                table: "Biblioteci",
                column: "LocatieId");

            migrationBuilder.CreateIndex(
                name: "IX_Sectii_LocatieId",
                table: "Sectii",
                column: "LocatieId");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Biblioteci");

            migrationBuilder.DropTable(
                name: "Sectii");

            migrationBuilder.DropTable(
                name: "Locatii");
        }
    }
}
