﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace BibRo.Data.Migrations
{
    public partial class Init2 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Biblioteci_Locatii_LocatieId",
                table: "Biblioteci");

            migrationBuilder.DropForeignKey(
                name: "FK_Sectii_Locatii_LocatieId",
                table: "Sectii");

            migrationBuilder.AlterColumn<Guid>(
                name: "LocatieId",
                table: "Sectii",
                nullable: true,
                oldClrType: typeof(Guid),
                oldType: "uniqueidentifier");

            migrationBuilder.AlterColumn<Guid>(
                name: "LocatieId",
                table: "Biblioteci",
                nullable: true,
                oldClrType: typeof(Guid),
                oldType: "uniqueidentifier");

            migrationBuilder.AddForeignKey(
                name: "FK_Biblioteci_Locatii_LocatieId",
                table: "Biblioteci",
                column: "LocatieId",
                principalTable: "Locatii",
                principalColumn: "LocatieId",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_Sectii_Locatii_LocatieId",
                table: "Sectii",
                column: "LocatieId",
                principalTable: "Locatii",
                principalColumn: "LocatieId",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Biblioteci_Locatii_LocatieId",
                table: "Biblioteci");

            migrationBuilder.DropForeignKey(
                name: "FK_Sectii_Locatii_LocatieId",
                table: "Sectii");

            migrationBuilder.AlterColumn<Guid>(
                name: "LocatieId",
                table: "Sectii",
                type: "uniqueidentifier",
                nullable: false,
                oldClrType: typeof(Guid),
                oldNullable: true);

            migrationBuilder.AlterColumn<Guid>(
                name: "LocatieId",
                table: "Biblioteci",
                type: "uniqueidentifier",
                nullable: false,
                oldClrType: typeof(Guid),
                oldNullable: true);

            migrationBuilder.AddForeignKey(
                name: "FK_Biblioteci_Locatii_LocatieId",
                table: "Biblioteci",
                column: "LocatieId",
                principalTable: "Locatii",
                principalColumn: "LocatieId",
                onDelete: ReferentialAction.Cascade);

            migrationBuilder.AddForeignKey(
                name: "FK_Sectii_Locatii_LocatieId",
                table: "Sectii",
                column: "LocatieId",
                principalTable: "Locatii",
                principalColumn: "LocatieId",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
